function FileData_Pairs(x)
{
x.t("augments","existing");
x.t("included","cache");
x.t("included","permission");
x.t("looks","following");
x.t("accumulate","messages");
x.t("example","user");
x.t("example","granted");
x.t("example","authorization");
x.t("example","consider");
x.t("example","permission");
x.t("example","even");
x.t("complex","example");
x.t("enabling","jvm");
x.t("enabling","extensible");
x.t("interfaces","available");
x.t("interfaces","documented");
x.t("publishing","queue");
x.t("publishing","message");
x.t("available","com.tibco.tibems.tibemsd.security");
x.t("available","administration");
x.t("exist","cache");
x.t("below","finally");
x.t("below","server");
x.t("parameter","true");
x.t("parameter","tibemsd.conf");
x.t("foo.bar.boo","example");
x.t("foo.bar.boo","foo.bar");
x.t("determined","cache");
x.t("subsets","foo.bar");
x.t("receives","list");
x.t("within","ems");
x.t("within","jvm");
x.t("within","timeout");
x.t("clear","cache");
x.t("clear","page");
x.t("saved","cache");
x.t("needs","refresh");
x.t("overlapping","wildcards");
x.t("every","destination");
x.t("files","dependent");
x.t("files","topics");
x.t("implement","extensible");
x.t("implement","jaci");
x.t("tree","general");
x.t("tree","server");
x.t("static","cases");
x.t("sending","uncached");
x.t("situation","even");
x.t("create","java");
x.t("replies","example");
x.t("layer","security");
x.t("mechanism","granting");
x.t("required","parameters");
x.t("action","included");
x.t("action","type");
x.t("action","multiple");
x.t("action","requires");
x.t("action","specified");
x.t("action","range");
x.t("action","destination");
x.t("action","request");
x.t("action","types");
x.t("action","authorization");
x.t("action","specific");
x.t("action","subscribing");
x.t("action","permission");
x.t("action","denied");
x.t("action","even");
x.t("responsible","permissions");
x.t("foo.bar.baz","foo.bar.boo");
x.t("user","action");
x.t("user","later");
x.t("user","requested");
x.t("user","subscribe");
x.t("user","attempts");
x.t("user","permissions");
x.t("user","authorization");
x.t("user","mwalton");
x.t("user","associated");
x.t("user","authorized");
x.t("topic","publishing");
x.t("topic","foo.bar.1");
x.t("topic","foo.bar");
x.t("topic","implications");
x.t("current","list");
x.t(".baz","every");
x.t(".baz","cache");
x.t(".baz","destination");
x.t(".baz","intersects");
x.t(".baz","match");
x.t(".baz","foo.bar");
x.t(".baz","destinations");
x.t(".baz","say");
x.t("enabled","ems");
x.t("secure","property");
x.t("secure","topics.conf");
x.t("creates","cache");
x.t("uses","java");
x.t("cache","enabling");
x.t("cache","sending");
x.t("cache","action");
x.t("cache","user");
x.t("cache","fact");
x.t("cache","invoking");
x.t("cache","deny");
x.t("cache","entry");
x.t("cache","timeouts");
x.t("cache","destination");
x.t("cache","permissions");
x.t("cache","request");
x.t("cache","long");
x.t("cache","wildcards");
x.t("cache","expires");
x.t("cache","authorization");
x.t("cache","view");
x.t("cache","foo.bar");
x.t("cache","timeout");
x.t("cache","similarly");
x.t("cache","statistics");
x.t("cache","entries");
x.t("cache","matching");
x.t("cache","server");
x.t("cache","remains");
x.t("locations","turn");
x.t("shows","decision");
x.t("later","reconnects");
x.t("until","timeout");
x.t("interface","(jaci)");
x.t("interface","accepts");
x.t("interface","requirements");
x.t("interface","loginmodule");
x.t("interface","code");
x.t("it\u2019s","useful");
x.t("reviews","permissions");
x.t("points","during");
x.t("responses","received");
x.t("wildcard","destination");
x.t("type","destination");
x.t("type","permission");
x.t("initiates","operation");
x.t("mention","user");
x.t("change","status");
x.t("fact","however");
x.t("response","saved");
x.t("response","response");
x.t("response","permissions");
x.t("response","limited");
x.t("reset","cache");
x.t("external","system");
x.t("hand","contains");
x.t("time","hours");
x.t("tibemsd","using");
x.t("supersede","standard");
x.t("supersede","entries");
x.t("cached","cache");
x.t("cached","time");
x.t("cached","deny");
x.t("cached","results");
x.t("cached","allow");
x.t("cached","permissions");
x.t("cached","mwalton");
x.t("cached","permission");
x.t("multiple","action");
x.t("multiple","destinations");
x.t("denies","authorization");
x.t("whenever","client");
x.t("subscriber","disconnected");
x.t("subscriber","server");
x.t("however","permissions");
x.t("however","client");
x.t("queues.conf","configuration");
x.t("inside","ems");
x.t("thread-safe","permissions");
x.t("single-threaded","environment");
x.t("checks","deny");
x.t("checks","caches");
x.t("checks","allow");
x.t("checks","permissions");
x.t("checks","well-defined");
x.t("checks","acl.conf");
x.t("checks","browsing");
x.t("checks","special");
x.t("speed","authorization");
x.t("invoking","permissions");
x.t("require","permissions");
x.t("require","authorization");
x.t("listed","acl.conf");
x.t("default","actions");
x.t("queue","whenever");
x.t("queue","permissions");
x.t("browses","end");
x.t("property","permissions");
x.t("apis","developed");
x.t("authorizer","interface");
x.t("access","control");
x.t("consists","username");
x.t("single","cache");
x.t("certain","points");
x.t("passes","username");
x.t("publish","topic");
x.t("publish","subscribe");
x.t("publish","destination");
x.t("publish","messages");
x.t("publish","topics");
x.t("security","ems");
x.t("security","extensible");
x.t("(jaci)","allow");
x.t("file","required");
x.t("file","supersede");
x.t("file","destination");
x.t("file","permissions");
x.t("file","include");
x.t("file","denied");
x.t("file","server");
x.t("deny","user");
x.t("deny","cache");
x.t("deny","response");
x.t("deny","authorization");
x.t("list","messages");
x.t("list","rechecks");
x.t("list","browse-able");
x.t("list","durable");
x.t("continues","accumulate");
x.t("status","cannot");
x.t("status","effect");
x.t("jaci_class","specifies");
x.t("com.tibco.tibems.tibemsd.security","requirements");
x.t("com.tibco.tibems.tibemsd.security","tibco");
x.t("determines","long");
x.t("able","function");
x.t("machine","(jvm)");
x.t("machine","enable");
x.t("ems","mechanism");
x.t("ems","procedures");
x.t("ems","client");
x.t("ems","jaci");
x.t("ems","application");
x.t("ems","server\u2019s");
x.t("ems","server");
x.t("granted","cached");
x.t("granted","multiple");
x.t("granted","ems");
x.t("granted","permissions");
x.t("actions","require");
x.t("during","browsing");
x.t("group","group");
x.t("group","associated");
x.t("optimize","permission");
x.t("jar","files");
x.t("results","cached");
x.t("results","contain");
x.t("results","previous");
x.t("results","include");
x.t("entry","action");
x.t("entry","wildcard");
x.t("entry","consists");
x.t("entry","deny");
x.t("entry","actions");
x.t("entry","entry");
x.t("entry","exists");
x.t("entry","determine");
x.t("entry","destination");
x.t("entry","kept");
x.t("entry","merely");
x.t("entry","specifies");
x.t("entry","expires");
x.t("entry","matches");
x.t("entry","foo.bar");
x.t("entry","removed");
x.t("entry","matching");
x.t("applies","user");
x.t("timeouts","determine");
x.t("timeouts","permissions");
x.t("timeouts","assigned");
x.t("increase","performance");
x.t("requested","subscribe");
x.t("requested","destination");
x.t("subscribe","topic");
x.t("subscribe","operation");
x.t("subscribe","foo");
x.t("browse","queue");
x.t("check","permissions");
x.t("refreshes","list");
x.t("accepts","information");
x.t("false","means");
x.t("become","part");
x.t("puts","ems");
x.t("writing","permissions");
x.t("requires","permissions");
x.t("specified","response");
x.t("specified","jaci_timeout");
x.t("specified","result");
x.t("reconnects","server");
x.t("delivered","consumer");
x.t("circumstances","request");
x.t("circumstances","special");
x.t("queues","include");
x.t("requirements","permissions");
x.t("requirements","order");
x.t("true","means");
x.t("jvm","within");
x.t("jvm","ems");
x.t("jvm","permissions");
x.t("jvm","information");
x.t("connects","tibemsd");
x.t("operation","case");
x.t("operation","itself");
x.t("operation","server");
x.t("operation","authorized");
x.t("range","destinations");
x.t("name","example");
x.t("name","matches");
x.t("hours","destination");
x.t("slow","operations");
x.t("performance","lower");
x.t("performance","documentation");
x.t("follows","granting");
x.t("exactly","matched");
x.t("changed","until");
x.t("enables","authorization");
x.t("topics.conf","queues.conf");
x.t("inclusive","request");
x.t("virtual","machine");
x.t("perform","action");
x.t("part","group");
x.t("part","ems");
x.t("dependent","classes");
x.t("custom","module");
x.t("component","ems");
x.t("provides","interface");
x.t("provides","extra");
x.t("exists","cache");
x.t("exists","deny");
x.t("exists","associated");
x.t("useful","note");
x.t("checking","deny");
x.t("parameters","tibemsd.conf");
x.t("parameters","authorization");
x.t("standard","ems");
x.t("standard","component");
x.t("determine","long");
x.t("determine","permission");
x.t("determine","user\u2019s");
x.t("expired","entry");
x.t("jaci_timeout","parameter");
x.t("(jvm)","java");
x.t("attempts","user");
x.t("attempts","perform");
x.t("destination","included");
x.t("destination","foo.bar.boo");
x.t("destination","action");
x.t("destination","user");
x.t("destination","cache");
x.t("destination","cached");
x.t("destination","entry");
x.t("destination","name");
x.t("destination","exists");
x.t("destination","permissions");
x.t("destination","request");
x.t("destination","wildcards");
x.t("destination","returned");
x.t("destination","matches");
x.t("destination","authorization");
x.t("destination","include");
x.t("destination","foo");
x.t("destination","subset");
x.t("destination","contained");
x.t("destination","contains");
x.t("decision","tree");
x.t("matched","acl.conf");
x.t("originally","requested");
x.t("allow","user");
x.t("allow","cache");
x.t("allow","deny");
x.t("allow","run");
x.t("caches","cache");
x.t("caches","responses");
x.t("disconnected","user");
x.t("disconnected","ems");
x.t("uncached","permission");
x.t("write","permissions");
x.t("permissions","below");
x.t("permissions","determined");
x.t("permissions","enabled");
x.t("permissions","cache");
x.t("permissions","cached");
x.t("permissions","whenever");
x.t("permissions","listed");
x.t("permissions","certain");
x.t("permissions","granted");
x.t("permissions","ems");
x.t("permissions","subscribe");
x.t("permissions","checking");
x.t("permissions","decision");
x.t("permissions","destination");
x.t("permissions","write");
x.t("permissions","permissions");
x.t("permissions","next");
x.t("permissions","feature");
x.t("permissions","chapter");
x.t("permissions","extensible");
x.t("permissions","cannot");
x.t("permissions","instead");
x.t("permissions","message");
x.t("permissions","consider");
x.t("permissions","figure");
x.t("permissions","foo.bar");
x.t("permissions","module");
x.t("permissions","documented");
x.t("permissions","implications");
x.t("permissions","described");
x.t("permissions","permission");
x.t("permissions","destinations");
x.t("permissions","order");
x.t("permissions","checked");
x.t("extra","layer");
x.t("procedures","granting");
x.t("showstats","page");
x.t("well-defined","static");
x.t("three","destinations");
x.t("intersects","foo.bar");
x.t("intersects","subset");
x.t("contain","allowed");
x.t("request","example");
x.t("request","within");
x.t("request","it\u2019s");
x.t("request","cached");
x.t("request","permissions");
x.t("request","allowed");
x.t("request","username");
x.t("request","although");
x.t("request","general");
x.t("request","denied");
x.t("lengths","carefully");
x.t("allowing","optimize");
x.t("queries","authorization");
x.t("commands","available");
x.t("denying","permissions");
x.t("severe","effect");
x.t("next","server");
x.t("finally","matching");
x.t("respond","request");
x.t("refresh","list");
x.t("feature","uses");
x.t("first","checks");
x.t("first","begins");
x.t("first","server");
x.t("long","cache");
x.t("long","timeouts");
x.t("long","permissions");
x.t("long","authorization");
x.t("long","permission");
x.t("long","operations");
x.t("kept","cache");
x.t("allowed","parameter");
x.t("allowed","false");
x.t("allowed","information");
x.t("allowed","destinations");
x.t("messages","topic");
x.t("messages","queue");
x.t("messages","client");
x.t("messages","backlog");
x.t("messages","server");
x.t("developed","tibco");
x.t("means","request");
x.t("control","interface");
x.t("control","often");
x.t("system\u2019s","responsiveness");
x.t("written","using");
x.t("java-based","permissions");
x.t("merely","intersection");
x.t("implements","permissions");
x.t("function","multi-threaded");
x.t("extensible","security");
x.t("extensible","permissions");
x.t("chapter","extensible");
x.t("chapter","authentication");
x.t("loginmodule","permissions");
x.t("loginmodule","employ");
x.t("carefully","writing");
x.t("specifies","jar");
x.t("specifies","username");
x.t("specifies","class");
x.t("cannot","determined");
x.t("cannot","changed");
x.t("cannot","immediately");
x.t("words","authorization");
x.t("software","create");
x.t("receive","messages");
x.t("instead","module");
x.t("tibemsd.conf","file");
x.t("tibemsd.conf","configuration");
x.t("begins","browsing");
x.t("rechecks","permissions");
x.t("revoked","external");
x.t("requests","jaci");
x.t("authorizationresult","class");
x.t("wildcards","exist");
x.t("wildcards","situation");
x.t("wildcards","single");
x.t("wildcards","ems");
x.t("wildcards","destination");
x.t("wildcards","permissions");
x.t("wildcards","used");
x.t("changes","permissions");
x.t("subscription","server");
x.t("match","permissions");
x.t("match","foo");
x.t("jaci_classpath","specifies");
x.t("implementing","jaci");
x.t("returned","inclusive");
x.t("types","example");
x.t("handling","process");
x.t("assigned","permissions");
x.t("employ","long");
x.t("client","receives");
x.t("client","needs");
x.t("client","initiates");
x.t("client","however");
x.t("client","browses");
x.t("client","attempts");
x.t("client","disconnected");
x.t("client","requests");
x.t("client","connected");
x.t("client","starts");
x.t("browse-able","messages");
x.t("end","current");
x.t("connected","user");
x.t("reference","either");
x.t("enable","jvm");
x.t("code","ems");
x.t("expires","timeout");
x.t("expires","removed");
x.t("often","permissions");
x.t("consumer","without");
x.t("fully","responsible");
x.t("return","values");
x.t("return","permission");
x.t("message","ems");
x.t("message","handling");
x.t("message","received");
x.t("previous","permissions");
x.t("authorization","response");
x.t("authorization","cached");
x.t("authorization","listed");
x.t("authorization","default");
x.t("authorization","publish");
x.t("authorization","status");
x.t("authorization","jaci_class");
x.t("authorization","entry");
x.t("authorization","enables");
x.t("authorization","perform");
x.t("authorization","standard");
x.t("authorization","receive");
x.t("authorization","process");
x.t("authorization","result");
x.t("pools","allow");
x.t("lower","system\u2019s");
x.t("matches","match");
x.t("matches","username");
x.t("matches","foo.bar");
x.t("matches","either");
x.t("212","figure");
x.t("tibco","software");
x.t("environment","single-threaded");
x.t("environment","permissions");
x.t("java","access");
x.t("java","virtual");
x.t("java","module");
x.t("seem","foo");
x.t("quickly","modules");
x.t("documentation","jaci");
x.t("existing","process");
x.t("consider","three");
x.t("consider","timeout");
x.t("acl.conf","mention");
x.t("acl.conf","file");
x.t("acl.conf","authorization");
x.t("acl.conf","username");
x.t("acl.conf","page");
x.t("username","action");
x.t("username","part");
x.t("username","exists");
x.t("username","specific");
x.t("include","secure");
x.t("include","timeouts");
x.t("include","wildcards");
x.t("include","operations");
x.t("configuration","files");
x.t("configuration","file");
x.t("additional","permission");
x.t("modules","become");
x.t("specific","action");
x.t("specific","cached");
x.t("specific","destination");
x.t("figure","shows");
x.t("figure","permissions");
x.t("foo.bar.1","permissions");
x.t("send","request");
x.t("process","user");
x.t("process","ems");
x.t("process","slow");
x.t("process","described");
x.t("responsiveness","changes");
x.t("view","reset");
x.t("subscribers","durable");
x.t("foo.bar","cache");
x.t("foo.bar","intersects");
x.t("foo.bar","long");
x.t("foo.bar","match");
x.t("foo.bar","matches");
x.t("foo.bar","foo");
x.t("foo.bar","permission");
x.t("foo.bar","contains");
x.t("extends","destination");
x.t("runs","inside");
x.t("runs","jvm");
x.t("runs","java");
x.t("authentication","permissions");
x.t("although","exactly");
x.t("foo",".baz");
x.t("foo","cache");
x.t("foo","hand");
x.t("foo","destination");
x.t("foo","seem");
x.t("foo","foo");
x.t("foo","note");
x.t("page","212");
x.t("page","125");
x.t("module","augments");
x.t("module","implement");
x.t("module","change");
x.t("module","cached");
x.t("module","thread-safe");
x.t("module","able");
x.t("module","ems");
x.t("module","results");
x.t("module","custom");
x.t("module","provides");
x.t("module","allow");
x.t("module","permissions");
x.t("module","request");
x.t("module","allowing");
x.t("module","queries");
x.t("module","respond");
x.t("module","control");
x.t("module","written");
x.t("module","words");
x.t("module","loginmodule");
x.t("module","jaci_classpath");
x.t("module","implementing");
x.t("module","fully");
x.t("module","return");
x.t("module","username");
x.t("module","runs");
x.t("module","grant");
x.t("module","called");
x.t("module","permission");
x.t("module","two");
x.t("module","administering");
x.t("module","used");
x.t("module","run");
x.t("module","returns");
x.t("module","server");
x.t("module","authorized");
x.t("module","authorize");
x.t("granting","permissions");
x.t("granting","denying");
x.t("tool","jaci");
x.t("information","topic");
x.t("information","writing");
x.t("information","operation");
x.t("mwalton","publish");
x.t("jaci","clear");
x.t("jaci","interface");
x.t("jaci","apis");
x.t("jaci","authorizer");
x.t("jaci","provides");
x.t("jaci","standard");
x.t("jaci","showstats");
x.t("jaci","classes");
x.t("jaci","resetstats");
x.t("subscribing","topic");
x.t("received","permissions");
x.t("received","client");
x.t("result","replies");
x.t("result","cache");
x.t("result","response");
x.t("result","cached");
x.t("result","allow");
x.t("result","permissions");
x.t("result","authorizationresult");
x.t("timeout","cache");
x.t("timeout","determines");
x.t("timeout","specified");
x.t("timeout","expired");
x.t("timeout","lengths");
x.t("browsing","operation");
x.t("browsing","request");
x.t("browsing","permission");
x.t("browsing","server");
x.t("defined","secure");
x.t("application","supersede");
x.t("application","attempts");
x.t("documented","com.tibco.tibems.tibemsd.security");
x.t("documented","chapter");
x.t("implications","wildcards");
x.t("case","permissions");
x.t("case","browsing");
x.t("resubscribes","durable");
x.t("grant","permissions");
x.t("grant","permission");
x.t("values","quickly");
x.t("described","acl.conf");
x.t("described","detail");
x.t("permission","user");
x.t("permission","cached");
x.t("permission","checks");
x.t("permission","publish");
x.t("permission","applies");
x.t("permission","requested");
x.t("permission","results");
x.t("permission","perform");
x.t("permission","request");
x.t("permission","revoked");
x.t("permission","client");
x.t("permission","extends");
x.t("permission","result");
x.t("destinations","response");
x.t("destinations","wildcards");
x.t("destinations","username");
x.t("destinations","specific");
x.t("destinations","foo.bar");
x.t("destinations","foo");
x.t("destinations","result");
x.t("destinations","defined");
x.t("destinations","including");
x.t("called","therefore");
x.t("called","server");
x.t("two","pools");
x.t("administering","cache");
x.t("administration","tool");
x.t("note","ems");
x.t("note","server");
x.t("topics","foo.bar.baz");
x.t("topics","queues");
x.t("topics","long");
x.t("subset","cache");
x.t("subset","foo");
x.t("classes","interfaces");
x.t("classes","used");
x.t("itself","messages");
x.t("backlog","delivered");
x.t("cases","acl.conf");
x.t("server\u2019s","message");
x.t("order","implement");
x.t("order","speed");
x.t("125","permissions");
x.t("125","jaci");
x.t("immediately","check");
x.t("run","ems");
x.t("run","java-based");
x.t("following","locations");
x.t("turn","first");
x.t("used","permissions");
x.t("used","grant");
x.t("used","destinations");
x.t("either","cache");
x.t("either","permissions");
x.t("either","foo.bar");
x.t("starts","browse");
x.t("special","circumstances");
x.t("system","used");
x.t("contained","authorized");
x.t("say","foo");
x.t("multi-threaded","environment");
x.t("using","jaci");
x.t("general","permissions");
x.t("general","entries");
x.t("similarly","entry");
x.t("class","implements");
x.t("class","permission");
x.t("statistics","clear");
x.t("returns","allow");
x.t("intersection","case");
x.t("therefore","load");
x.t("load","puts");
x.t("operations","subscribe");
x.t("operations","severe");
x.t("operations","return");
x.t("associated","destinations");
x.t("associated","durable");
x.t("without","reference");
x.t("without","additional");
x.t("limited","originally");
x.t("denied","cached");
x.t("denied","allow");
x.t("denied","acl.conf");
x.t("denied","information");
x.t("denied","timeout");
x.t("denied","without");
x.t("including","wildcards");
x.t("effect","overlapping");
x.t("effect","performance");
x.t("removed","cache");
x.t("removed","ems");
x.t("entries","increase");
x.t("entries","permissions");
x.t("entries","commands");
x.t("entries","acl.conf");
x.t("entries","either");
x.t("resetstats","page");
x.t("even","complex");
x.t("even","application");
x.t("even","permission");
x.t("server","looks");
x.t("server","enabling");
x.t("server","within");
x.t("server","creates");
x.t("server","reviews");
x.t("server","denies");
x.t("server","checks");
x.t("server","passes");
x.t("server","continues");
x.t("server","check");
x.t("server","refreshes");
x.t("server","connects");
x.t("server","follows");
x.t("server","parameters");
x.t("server","caches");
x.t("server","permissions");
x.t("server","first");
x.t("server","long");
x.t("server","cannot");
x.t("server","send");
x.t("server","jaci");
x.t("server","resubscribes");
x.t("server","server");
x.t("detail","permissions");
x.t("matching","entry");
x.t("matching","username");
x.t("matching","entries");
x.t("matching","user\u2019s");
x.t("user\u2019s","request");
x.t("user\u2019s","authorization");
x.t("authorized","action");
x.t("authorized","perform");
x.t("authorized","destination");
x.t("authorized","permissions");
x.t("contains","subsets");
x.t("contains","requested");
x.t("contains","topics");
x.t("checked","client");
x.t("durable","subscriber");
x.t("durable","subscription");
x.t("durable","subscribers");
x.t("remains","until");
x.t("authorize","ems");
}
